Name:		pam_krb5
Version:	4.11
Release:	1
Summary:	A Pluggable Authentication Module for Kerberos 5
License:	MIT and BSD
Group:		System/Libraries
URL:		https://github.com/rra/pam-krb5
Source0:	%{url}/archive/refs/tags/upstream/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch0001:	0001-Drop-module-long-test.patch

Requires:	pam

BuildRequires:	byacc
BuildRequires:	flex
BuildRequires:	gcc
BuildRequires:	krb5-devel
BuildRequires:	pam-devel

# for testing
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::Pod)

%description 
pam-krb5 is a Kerberos v5 PAM module for either MIT Kerberos or
Heimdal.  It supports ticket refreshing by screen savers, configurable
authorization handling, authentication of non-local accounts for
network services, password changing, and password expiration, as well
as all the standard expected PAM features.  It works correctly with
OpenSSH, even with ChallengeResponseAuthentication and
PrivilegeSeparation enabled, and supports extensive configuration
either by PAM options or in krb5.conf or both.  PKINIT is supported
with recent versions of both MIT Kerberos and Heimdal and FAST is
supported with recent MIT Kerberos.
  
%prep 
%setup -q -n pam-krb5-upstream-%{version}

%autopatch -p1

%build
%configure --libdir=%{_libdir}
%make_build

%install
%make_install

# Make the paths jive to avoid conflicts on multilib systems.
sed -ri -e 's|/lib(64)?/|/\$LIB/|g' %{buildroot}/%{_mandir}/man*/pam_krb5*.5*

# cleanup
rm -f %{buildroot}/%{_libdir}/security/*.la

%check
# https://github.com/rra/pam-krb5/issues/25
# self-tests fail unless a default realm is set.
# That has to be done as someone with write access to /etc/
# which is not the mockbuild user.
#
%{__make} check

%files
%license LICENSE
%doc README NEWS TODO
%{_libdir}/security/*
%{_mandir}/man5/*

%changelog
* Tue Apr 18 2023 chenchen <chen_aka_jan@163.com> - 4.11-1
- Update to 4.11.

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 2.4.13-14
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* May Jun 4 2021 panxiaohe <panxiaohe@huawei.com> - 2.4.13-13
- Add gcc to BuildRequires

* Fri Sep 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.4.13-12
- Package init
